# Bookmobile

Simple command line script to download articles for offline viewing as markdown, simplified clean HTML and epub.

This is a fishscript (shell) gluing together pandoc and a Node.js package that implements the Firefox reader view. It uses a NPM package that uses Mozilla's own reability javascript. If that's not the right solution for you, jump down to the alternatives section at the end.

![rendered NYTimes article](nyt-medium.jpg)  
*Example New York Times article rendered in the reader view with the 'Medium' theme*  


### Dependencies

- fish
- Pandoc
- Node.js / NPM

Note: you must have the following sub-directories: originals/ reader/ epubs/ markdown/

### Install

```
npm install readability-cli
git clone https://tildegit.org/exquisitecorp/bookmobile.git
cd bookmobile
chmod +x bookmobile.fish
```

### Usage

```
./bookmobile.fish URL
```

Output:

A simplified HTML document will be saved to originals. A reader view with chosen (or default) theme will be saved to reader/. An epub in epubs/ and a markdown file to markdown sub-directory. 

### To change themes

The themes subdirectory contains several custom simple themes for rendering a nice reader view. You can edit these or add your own custom theme to this folder. Change the theme selection in line 3 of the bookmobile.fish file.

### Alternatives

Currently there are a number of CLI programs that are ports of the Readability project. These may serve your needs better.

A partial listing can be found [here](https://github.com/masukomi/arc90-readability#readability-10)
